
Packaging - Bug #26638

RPM dependency 'gofer' missing from Foreman 1.21 el6 client repo

04/17/2019 04:53 PM - John Beranek

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Was trying to update a CentOS 6 client to the latest Katello agent, using the new Foreman client repo
, and discovered a missing

RPM dependency, on 'gofer':

$ sudo yum install katello-agent

Loaded plugins: enabled_repos_upload, fastestmirror, package_upload, product-id, search-disabled-r

epos, security, subscription-manager

Setting up Install Process

Loading mirror speeds from cached hostfile

Example_Org_CentOS_CentOS-6_10-x86_64-extras                                                      

                                                                                                  

                                              | 2.5 kB     00:00

Example_Org_CentOS_CentOS-6_10-x86_64-os                                                          

                                                                                                  

                                              | 2.1 kB     00:00

Example_Org_CentOS_CentOS-6_10-x86_64-scl-rh                                                      

                                                                                                  

                                              | 2.1 kB     00:00

Example_Org_CentOS_CentOS-6_10-x86_64-scl-sclo                                                    

                                                                                                  

                                              | 2.1 kB     00:00

Example_Org_CentOS_CentOS-6_10-x86_64-updates                                                     

                                                                                                  

                                              | 2.5 kB     00:00

Example_Org_CentOS_EPEL-6-x86_64                                                                  

                                                                                                  

                                              | 2.5 kB     00:00

Example_Org_CentOS_Foreman-Client-1_21-RHEL6-x86_64                                               

                                                                                                  

                                              | 2.1 kB     00:00

Example_Org_CentOS_Percona-RHEL6-noarch                                                           

                                                                                                  

                                              | 1.8 kB     00:00

Example_Org_CentOS_Percona-RHEL6-x86_64                                                           

                                                                                                  

                                              | 1.8 kB     00:00

Example_Org_CentOS_Subscription-Manager-CentOS-6-x86_64                                           

                                                                                                  

                                              | 2.9 kB     00:00

Example_Org_CentOS_VMware-OSP-10_3_10-RHEL6-x86_64                                                

                                                                                                  

                                              | 1.8 kB     00:00

Resolving Dependencies

--> Running transaction check

---> Package katello-agent.noarch 0:3.4.2-1.el6 will be installed

--> Processing Dependency: gofer < 2.12 for package: katello-agent-3.4.2-1.el6.noarch

--> Processing Dependency: gofer >= 2.11.5 for package: katello-agent-3.4.2-1.el6.noarch

05/20/2024 1/2



--> Finished Dependency Resolution

Error: Package: katello-agent-3.4.2-1.el6.noarch (Example_Org_CentOS_Foreman-Client-1_21-RHEL6-x86

_64)

           Requires: gofer < 2.12

Error: Package: katello-agent-3.4.2-1.el6.noarch (Example_Org_CentOS_Foreman-Client-1_21-RHEL6-x86

_64)

           Requires: gofer >= 2.11.5

 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest

Uploading Enabled Repositories Report

Loaded plugins: fastestmirror, product-id

 [1] https://yum.theforeman.org/client/1.21/el6/x86_64/

History

#1 - 04/17/2019 05:57 PM - Samir Jha

- Project changed from Katello to Packaging

- Category deleted (Client/Agent)

#2 - 06/06/2019 09:28 PM - John Beranek

FWIW, we've worked around this by rebuilding the RHEL6 Satellite SRPMS...

#3 - 01/17/2020 12:56 PM - Eric Helms

- Status changed from New to Resolved

#4 - 01/17/2020 11:49 PM - John Beranek

How is this resolved, I still don't see a complete set of packages for el6-based distros (or el8-based distros), even in nightly...
